package com.goafanti.portal.bo;

import java.math.BigDecimal;
import java.text.SimpleDateFormat;
import java.util.Date;

import com.goafanti.common.constant.AFTConstants;

public class DemandPortalDetailBo {
	private String		id;

	private String		name;

	private String		keyword;

	private Integer		industryCategoryA;

	private String		industryCategoryAS;

	private String		industryCategoryBS;

	private BigDecimal	budgetCost;

	private String		budgetCostS;

	private String		province;

	private String		city;

	private String		problemDes;

	private String		interestId;

	private String		location;

	private String		industryCategory;

	private String		employerName;

	private Integer		level;
	
	private String		pictureUrl;
	
	private String		employerAddress;
	
	private Date      validityPeriod;
	
	private Integer      fixedbudget;
	
	private String      validityPeriodS;
	
	private Integer countDemandInterest;
	
	private String employerContactsMobile;
	
	private String dataCategory;

	public Integer getLevel() {
		return level;
	}

	public void setLevel(Integer level) {
		this.level = level;
	}

	public String getEmployerName() {
		return employerName;
	}

	public void setEmployerName(String employerName) {
		this.employerName = employerName;
	}

	public String getBudgetCostS() {
		return budgetCostS;
	}

	public void setBudgetCostS(String budgetCostS) {
		this.budgetCostS = budgetCostS;
	}

	public String getIndustryCategory() {
		return industryCategory;
	}

	public void setIndustryCategory(String industryCategory) {
		this.industryCategory = industryCategory;
	}

	public String getLocation() {
		return location;
	}

	public void setLocation(String location) {
		this.location = location;
	}

	public String getInterestId() {
		return interestId;
	}

	public void setInterestId(String interestId) {
		this.interestId = interestId;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getKeyword() {
		return keyword;
	}

	public void setKeyword(String keyword) {
		this.keyword = keyword;
	}

	public Integer getIndustryCategoryA() {
		return industryCategoryA;
	}

	public void setIndustryCategoryA(Integer industryCategoryA) {
		this.industryCategoryA = industryCategoryA;
	}

	public String getIndustryCategoryAS() {
		return industryCategoryAS;
	}

	public void setIndustryCategoryAS(String industryCategoryAS) {
		this.industryCategoryAS = industryCategoryAS;
	}

	public String getIndustryCategoryBS() {
		return industryCategoryBS;
	}

	public void setIndustryCategoryBS(String industryCategoryBS) {
		this.industryCategoryBS = industryCategoryBS;
	}

	public BigDecimal getBudgetCost() {
		return budgetCost;
	}

	public void setBudgetCost(BigDecimal budgetCost) {
		this.budgetCost = budgetCost;
	}

	public String getProblemDes() {
		return problemDes;
	}

	public void setProblemDes(String problemDes) {
		this.problemDes = problemDes;
	}

	public String getProvince() {
		return province;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getPictureUrl() {
		return pictureUrl;
	}

	public void setPictureUrl(String pictureUrl) {
		this.pictureUrl = pictureUrl;
	}

	public String getEmployerAddress() {
		return employerAddress;
	}

	public void setEmployerAddress(String employerAddress) {
		this.employerAddress = employerAddress;
	}


	public Integer getFixedbudget() {
		return fixedbudget;
	}

	public void setFixedbudget(Integer fixedbudget) {
		this.fixedbudget = fixedbudget;
	}

	public Date getValidityPeriod() {
		return validityPeriod;
	}

	public void setValidityPeriod(Date validityPeriod) {
		this.validityPeriod = validityPeriod;
	}

	public String getValidityPeriodS() {
		SimpleDateFormat sdf =new SimpleDateFormat(AFTConstants.YYYYMMDD);
		if(null==validityPeriod) {
		return null ;
		}else {
			validityPeriodS=sdf.format(this.validityPeriod);
			return validityPeriodS;
		}
	}

	public void setValidityPeriodS(String validityPeriodS) {
		this.validityPeriodS = validityPeriodS;
	}

	public Integer getCountDemandInterest() {
		return countDemandInterest;
	}

	public void setCountDemandInterest(Integer countDemandInterest) {
		this.countDemandInterest = countDemandInterest;
	}

	public String getEmployerContactsMobile() {
		return employerContactsMobile;
	}

	public void setEmployerContactsMobile(String employerContactsMobile) {
		this.employerContactsMobile = employerContactsMobile;
	}

	public String getDataCategory() {
		return dataCategory;
	}

	public void setDataCategory(String dataCategory) {
		this.dataCategory = dataCategory;
	}

	@Override
	public String toString() {
		return "DemandPortalDetailBo [id=" + id + ", name=" + name + ", keyword=" + keyword + ", industryCategoryA="
				+ industryCategoryA + ", industryCategoryAS=" + industryCategoryAS + ", industryCategoryBS="
				+ industryCategoryBS + ", budgetCost=" + budgetCost + ", budgetCostS=" + budgetCostS + ", province="
				+ province + ", city=" + city + ", problemDes=" + problemDes + ", interestId=" + interestId
				+ ", location=" + location + ", industryCategory=" + industryCategory + ", employerName=" + employerName
				+ ", level=" + level + ", pictureUrl=" + pictureUrl + ", employerAddress=" + employerAddress
				+ ", validityPeriod=" + validityPeriod + ", fixedbudget=" + fixedbudget + ", validityPeriodS="
				+ validityPeriodS + ", countDemandInterest=" + countDemandInterest + ", employerContactsMobile="
				+ employerContactsMobile + ", dataCategory=" + dataCategory + "]";
	}
	
	
	
}
